## net.sf.saxon.exslt
Class Math

    java.lang.Object
      |
      +--net.sf.saxon.exslt.Math

public abstract class Math
extends java.lang.Object

This class implements extension functions in the http://exslt.org/math namespace.

Constructor Summary
`Math()`

Method Summary
`static double` `abs(double x)` Get the absolute value of a numeric value (SStL)
`static double` `acos(double x)` Get the arccosine of a numeric value (SStL)
`static double` `asin(double x)` Get the arcsine of a numeric value (SStL)
`static double` `atan(double x)` Get the arctangent of a numeric value (SStL)
`static double` `atan2(double x, double y)` Converts rectangular coordinates to polar (SStL)
`static double` `constant(XPathContext context, java.lang.String name, double precision)` Get a named constant to a given precision (SStL)
`static double` `cos(double x)` Get the cosine of a numeric value (SStL)
`static double` `exp(double x)` Get the exponential of a numeric value (SStL)
`static SequenceValue` `highest(SequenceIterator nsv)` Get the items with maximum numeric value of the string-value of each of a sequence of items.
`static double` `log(double x)` Get the logarithm of a numeric value (SStL)
`static SequenceValue` `lowest(SequenceIterator nsv)` Get the items with minimum numeric value of the string-value of each of a sequence of items The items are returned in the order of the original sequence.
`static double` `max(SequenceIterator nsv)` Get the maximum numeric value of the string-value of each of a set of nodes
`static double` `min(SequenceIterator nsv)` Get the minimum numeric value of the string-value of each of a set of nodes
`static double` `power(double x, double y)` Get the power of two numeric values (SStL)
`static double` `random()` Get a random numeric value (SStL)
`static double` `sin(double x)` Get the sine of a numeric value (SStL)
`static double` `sqrt(double x)` Get the square root of a numeric value (SStL)
`static double` `tan(double x)` Get the tangent of a numeric value (SStL)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Math

    public Math()

Method Detail

### max

    public static double max(SequenceIterator nsv)
                      throws XPathException

  Get the maximum numeric value of the string-value of each of a set of nodes

    `XPathException`

### min

    public static double min(SequenceIterator nsv)
                      throws XPathException

  Get the minimum numeric value of the string-value of each of a set of nodes

    `XPathException`

### highest

    public static SequenceValue highest(SequenceIterator nsv)
                                 throws XPathException

  Get the items with maximum numeric value of the string-value of each of a sequence of items. The items are returned in the order of the original sequence.

    `XPathException`

### lowest

    public static SequenceValue lowest(SequenceIterator nsv)
                                throws XPathException

  Get the items with minimum numeric value of the string-value of each of a sequence of items The items are returned in the order of the original sequence.

    `XPathException`

### abs

    public static double abs(double x)

  Get the absolute value of a numeric value (SStL)

### sqrt

    public static double sqrt(double x)

  Get the square root of a numeric value (SStL)

### power

    public static double power(double x,
                               double y)

  Get the power of two numeric values (SStL)

### constant

    public static double constant(XPathContext context,
                                  java.lang.String name,
                                  double precision)
                           throws XPathException

  Get a named constant to a given precision (SStL)

    `XPathException`

### log

    public static double log(double x)

  Get the logarithm of a numeric value (SStL)

### random

    public static double random()

  Get a random numeric value (SStL)

### sin

    public static double sin(double x)

  Get the sine of a numeric value (SStL)

### cos

    public static double cos(double x)

  Get the cosine of a numeric value (SStL)

### tan

    public static double tan(double x)

  Get the tangent of a numeric value (SStL)

### asin

    public static double asin(double x)

  Get the arcsine of a numeric value (SStL)

### acos

    public static double acos(double x)

  Get the arccosine of a numeric value (SStL)

### atan

    public static double atan(double x)

  Get the arctangent of a numeric value (SStL)

### atan2

    public static double atan2(double x,
                               double y)

  Converts rectangular coordinates to polar (SStL)

### exp

    public static double exp(double x)

  Get the exponential of a numeric value (SStL)